Kepler - Bug #3267

ENM/GARP_SingleSpecies_BestRuleSet-IV.xml problems
05/02/2008 11:14 AM - Derik Barseghian

Status: Resolved Start date: 05/02/2008
Priority: Normal Due date:

Assignee: Chad Berkley % Done: 0%
Category: general Estimated time: 0.00 hour
Target version: 1.0.0 Spent time: 0.00 hour
Bugzilla-ld: 3267

Description

ENM/GARP_SingleSpecies_BestRuleSet-1V.xml crashes Ubuntu Kepler.
On mac execution completes but gives Imaged "Unrecognized comand: ASC TextReader" messages.

Related issues:
Blocked by Kepler - Bug #3245: Release 1.0 installer tracking bug Resolved 04/29/2008

History

#1 - 05/02/2008 11:25 AM - Chad Berkley

I just ran this on ubuntu and had no problems. Is there a way to make the error occur?

#2 - 05/02/2008 11:32 AM - Jing Tao

It crashed my kepler in ubuntu too.

#3 - 05/02/2008 11:38 AM - Dan Higgins

The Mac error 'Imaged "Unrecognized comand: ASC

TextReader" also occurs on the GARP Model ImagedJ workflow. It looks like this is another problem due to rearranging the files on the Mac. ImageJ
looks for plugins in the working directory. If the 'plugins" dir is moved out of the 'Kepler.app' dir on the Mac and into the containing 'Kepler' dir the error
does not occur because Imaged can then find the ASC reader plugin code

#4 - 05/02/2008 12:08 PM - Chad Berkley

Fixed the problem on the mac by creating a symlink to the plugins directory.

#5 - 05/06/2008 11:29 AM - Chad Berkley

| was finally able to reproduce the crash on ubuntu by installing a fresh version of ubuntu in a VM and running kepler from there. It appears they
changed the libexpat and libscew versions in the new release which is causing problems with garp. | recompiled scew and expat and it seems to be
working. | don't think we can distribute expat or scew though, so | think we're just going to have to put a note in the workflow or in a readme to let
people know that they might have problems on linux.

#6 - 05/06/2008 01:59 PM - Chad Berkley

| added a note in the README and in the workflow itself about scew and expat for linux.

#7 - 05/07/2008 04:52 PM - Aaron Aaron

GARP_SingleSpecies_BestRuleSet-I1V.xml runs on windows v3 installer and Mac os X v3 installer.
garpModel_ImagedJ.xml runs on win & mac v3 installers.
garpModel_ImagedJ_withData.xml - the data source was taking so long to load (on win and mac) | did not finish testing...

#8 - 05/07/2008 09:59 PM - Derik Barseghian
this may again be that i didn't succeed with the expat and scew instructions, but after trying those instructions this workflow didn't crash like before on

ubuntu (unless i didn't wait long enough), but instead just seemed to get stuck.

#9 - 03/27/2013 02:22 PM - Redmine Admin
Original Bugzilla ID was 3267
